/**
* DevExtreme (ui/text_area.d.ts)
* Version: 20.1.0 (build 20013-0312)
* Build date: Mon Jan 13 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxTextArea(): JQuery;
    dxTextArea(options: "instance"): DevExpress.ui.dxTextArea;
    dxTextArea(options: string): any;
    dxTextArea(options: string, ...params: any[]): any;
    dxTextArea(options: DevExpress.ui.dxTextAreaOptions): JQuery;
}
}
export default DevExpress.ui.dxTextArea;
export type Options = DevExpress.ui.dxTextAreaOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxTextAreaOptions;