/**
* DevExtreme (ui/sortable.d.ts)
* Version: 20.1.0 (build 20013-0312)
* Build date: Mon Jan 13 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxSortable(): JQuery;
    dxSortable(options: "instance"): DevExpress.ui.dxSortable;
    dxSortable(options: string): any;
    dxSortable(options: string, ...params: any[]): any;
    dxSortable(options: DevExpress.ui.dxSortableOptions): JQuery;
}
}
export default DevExpress.ui.dxSortable;
export type Options = DevExpress.ui.dxSortableOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxSortableOptions;